## rpi-swap 1.2.1

=== debian/changelog ===
rpi-swap (1.2.1) trixie; urgency=medium

  * man: Make swapfile example fixed size
  * debian: Add gbp configuration

 -- Richard Oliver <richard.oliver@raspberrypi.com>  Fri, 10 Oct 2025 17:43:57 +0100

rpi-swap (1.2.0) trixie; urgency=medium

  * rpi-setup-loop: Use DefaultDependencies
  * rpi-swap: Avoid swap.target dependency cycle
  * rpi-swap: Race udev to create backingfile symlinks
  * rpi-swap-generator: Use argument paths
  * rpi-swap-generator: Robust symlink creation
  * rpi-swap: Clarify daemon-reload behaviour
  * Use static rpi-zram-writeback.service
  * Use static rpi-remove-swap-file@.service
  * rpi-swap: Minor fixups
  * rpi-swap: docs: Clarify zram settings
  * rpi-swap: Disable readahead for zram configs

 -- Richard Oliver <richard.oliver@raspberrypi.com>  Mon, 18 Aug 2025 16:46:20 +0100

rpi-swap (1.1.1) trixie; urgency=medium

  * rpi-swap: Depends on rpi-systemd-config
  * debian: Standards-Version: 4.7.2
  * rpi-setup-loop: Fixup man character escape

 -- Richard Oliver <richard.oliver@raspberrypi.com>  Thu, 07 Aug 2025 13:35:08 +0100

rpi-swap (1.1.0) trixie; urgency=medium

  * Rename [RpiSwap] to [Main]
  * Rename [SwapFile] variables under [File]
  * Move '[ZramWriteback]' config to '[Zram]'
  * Allow [Zram] size to be specified
  * Allow fractional RamMultiplier
  * rpi-setup-loop: Wait for symlink to be created
  * Ensure backingfile exists before zram setup

 -- Richard Oliver <richard.oliver@raspberrypi.com>  Wed, 06 Aug 2025 17:00:38 +0100

rpi-swap (1.0.0) trixie; urgency=medium

  [ richard.oliver@raspberrypi.com ]
  * Initial release.

  [ Richard Oliver ]
  * debian/control: Fix typo
  * Update .gitignore
  * Default SwapFactor to 1
  * swap.conf: Improve default file
  * rpi-swap-generator: Major simplifying refactor
  * s/(rpi-resize-)var-swap-service(.service)/\1swap-file\2
  * Move internal binaries onto /usr/lib/ paths
  * Implement swap file resizing for zram+file mechanism
  * Update README
  * README: Known issue on package removal
  * Initial move to rpi-systemd-config
  * Further rework to systemd
  * zram+file default for all platforms
  * Reword man page and add drop-in example
  * Implement writeback & additional man pages
  * Add copyright + fix aliased paths
  * rpi-loop-utils: Fix aliased paths
  * rpi-loop-utils: Fix unescape bug
  * rpi-loop-utils: Add man pages
  * Lower priority of zram-generator drop-ins + document
  * README.md: Be more user-friendly
  * rpi-swap-generator: Discuss swap.target in man page
  * rpi-swap: postrm message re systemd-zram-generator
  * rpi-swap: Add 'none' mechanism
  * debian: Add salsa-ci.yml

 -- Richard Oliver <richard.oliver@raspberrypi.com>  Fri, 18 Jul 2025 15:12:51 +0100
