=== debian/control ===
Source: rpi-swap
Section: embedded
Priority: optional
Maintainer: Richard Oliver <richard.oliver@raspberrypi.com>
Build-Depends: debhelper (>=13), debhelper-compat (= 13)
Standards-Version: 4.7.2
Homepage: https://www.raspberrypi.com/software

Package: rpi-loop-utils
Architecture: all
Depends: systemd, inotify-tools
Description: loop device utilities
 This package provides udev rules to automatically create/destroy
 /dev/disk/by-backingfile/ symlinks for loop devices. The templated systemd
 unit rpi-setup-loop@.service (for setting up/tearing down loop devices) is
 also provided.

Package: rpi-swap
Architecture: all
Depends: rpi-loop-utils, systemd-zram-generator, rpi-systemd-config
Provides: dphys-swapfile
Conflicts: dphys-swapfile
Replaces: dphys-swapfile
Description: early-boot swap configuration
 This packages provides early-boot generators/services to setup a variety of
 different swap configurations (such as file or zram+file). Dynamic resizing of
 swap files is also supported.
