=== debian/rules ===
#!/usr/bin/make -f

override_dh_installsystemd:
	dh_installsystemd --no-start --no-stop-on-upgrade

%:
	dh $@ --with-systemd
